class RestUrlMappings {
    static mappings = {
  	  
  	    // RESTful URLs
  	    "/rest/league/$id?" (controller: 'league') {
            action = [GET:"showREST", POST:"saveREST", DELETE:"deleteREST"]
        }
        
        "/rest/team/$id?" (controller: 'team') {
            action = [GET:"showREST", POST:"saveREST", DELETE:"deleteREST"]
        }
        
        "/rest/player/team/$id?" (controller: 'player') {
            action = [GET:"showByTeamREST"]
        }
        
        "/rest/player/$id?" (controller: 'player') {
            action = [GET:"showREST", POST:"saveREST", DELETE:"deleteREST"]
        }
        
        "/rest/player/name" (controller: 'player') {
            action = [POST:"showByNameREST"]
        }

        "/rest/scoutingReport/$id?" (controller: 'scoutingReport') {
            action = [GET:"showREST", POST:"saveREST", DELETE:"deleteREST"]
        } 
        
	}
}
