class Team {
    static belongsTo = [League, User]
    
    static hasMany = [users:User, players:Player, homeGames:Game, visitorGames:Game]
    static mappedBy =[homeGames:"homeTeam", visitorGames:"visitorTeam"]
    
    static constraints = {
        playsInArena (nullable:true)
    }
    
    String name
    String playsIn
    String playsInArena
    
    League league
}
