

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="layout" content="main" />
        <title>Show ScoutingReport</title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
            <span class="menuButton"><g:link class="list" action="list">ScoutingReport List</g:link></span>
            <span class="menuButton"><g:link class="create" action="create">New ScoutingReport</g:link></span>
        </div>
        <div class="body">
            <h1>Show ScoutingReport</h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="dialog">
                <table>
                    <tbody>

                    
                        <tr class="prop">
                            <td valign="top" class="name">Id:</td>
                            
                            <td valign="top" class="value">${fieldValue(bean:scoutingReportInstance, field:'id')}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name">General Notes:</td>
                            
                            <td valign="top" class="value">${fieldValue(bean:scoutingReportInstance, field:'generalNotes')}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name">Strengths:</td>
                            
                            <td valign="top" class="value">${fieldValue(bean:scoutingReportInstance, field:'strengths')}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name">Weaknesses:</td>
                            
                            <td valign="top" class="value">${fieldValue(bean:scoutingReportInstance, field:'weaknesses')}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name">Tendencies:</td>
                            
                            <td valign="top" class="value">${fieldValue(bean:scoutingReportInstance, field:'tendencies')}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name">Player:</td>
                            
                            <td valign="top" class="value"><g:link controller="player" action="show" id="${scoutingReportInstance?.player?.id}">${scoutingReportInstance?.player?.encodeAsHTML()}</g:link></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name">Rating Defensive Play:</td>
                            
                            <td valign="top" class="value">${fieldValue(bean:scoutingReportInstance, field:'ratingDefensivePlay')}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name">Rating Hockey Sense:</td>
                            
                            <td valign="top" class="value">${fieldValue(bean:scoutingReportInstance, field:'ratingHockeySense')}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name">Rating Intensity:</td>
                            
                            <td valign="top" class="value">${fieldValue(bean:scoutingReportInstance, field:'ratingIntensity')}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name">Rating Offensive Play:</td>
                            
                            <td valign="top" class="value">${fieldValue(bean:scoutingReportInstance, field:'ratingOffensivePlay')}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name">Rating Physical Play:</td>
                            
                            <td valign="top" class="value">${fieldValue(bean:scoutingReportInstance, field:'ratingPhysicalPlay')}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name">Rating Puck Control:</td>
                            
                            <td valign="top" class="value">${fieldValue(bean:scoutingReportInstance, field:'ratingPuckControl')}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name">Rating Size:</td>
                            
                            <td valign="top" class="value">${fieldValue(bean:scoutingReportInstance, field:'ratingSize')}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name">Rating Skating:</td>
                            
                            <td valign="top" class="value">${fieldValue(bean:scoutingReportInstance, field:'ratingSkating')}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name">Scout:</td>
                            
                            <td valign="top" class="value"><g:link controller="user" action="show" id="${scoutingReportInstance?.scout?.id}">${scoutingReportInstance?.scout?.encodeAsHTML()}</g:link></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name">Scouting Notes:</td>
                            
                            <td  valign="top" style="text-align:left;" class="value">
                                <ul>
                                <g:each var="s" in="${scoutingReportInstance.scoutingNotes}">
                                    <li><g:link controller="scoutingNotes" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
                                </g:each>
                                </ul>
                            </td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name">Overall Rating:</td>
                            
                            <td valign="top" class="value">${fieldValue(bean:scoutingReportInstance, field:'overallRating')}</td>
                            
                        </tr>
                    
                    </tbody>
                </table>
            </div>
            <div class="buttons">
                <g:form>
                    <input type="hidden" name="id" value="${scoutingReportInstance?.id}" />
                    <span class="button"><g:actionSubmit class="edit" value="Edit" /></span>
                    <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
                </g:form>
            </div>
        </div>
    </body>
</html>
