

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="layout" content="main" />
        <title>Create ScoutingReport</title>         
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
            <span class="menuButton"><g:link class="list" action="list">ScoutingReport List</g:link></span>
        </div>
        <div class="body">
            <h1>Create ScoutingReport</h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${scoutingReportInstance}">
            <div class="errors">
                <g:renderErrors bean="${scoutingReportInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form action="save" method="post" >
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="generalNotes">General Notes:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:scoutingReportInstance,field:'generalNotes','errors')}">
                                    <input type="text" id="generalNotes" name="generalNotes" value="${fieldValue(bean:scoutingReportInstance,field:'generalNotes')}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="strengths">Strengths:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:scoutingReportInstance,field:'strengths','errors')}">
                                    <input type="text" id="strengths" name="strengths" value="${fieldValue(bean:scoutingReportInstance,field:'strengths')}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="weaknesses">Weaknesses:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:scoutingReportInstance,field:'weaknesses','errors')}">
                                    <input type="text" id="weaknesses" name="weaknesses" value="${fieldValue(bean:scoutingReportInstance,field:'weaknesses')}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="tendencies">Tendencies:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:scoutingReportInstance,field:'tendencies','errors')}">
                                    <input type="text" id="tendencies" name="tendencies" value="${fieldValue(bean:scoutingReportInstance,field:'tendencies')}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="player">Player:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:scoutingReportInstance,field:'player','errors')}">
                                    <g:select optionKey="id" from="${Player.list()}" name="player.id" value="${scoutingReportInstance?.player?.id}" ></g:select>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="ratingDefensivePlay">Rating Defensive Play:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:scoutingReportInstance,field:'ratingDefensivePlay','errors')}">
                                    <input type="text" id="ratingDefensivePlay" name="ratingDefensivePlay" value="${fieldValue(bean:scoutingReportInstance,field:'ratingDefensivePlay')}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="ratingHockeySense">Rating Hockey Sense:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:scoutingReportInstance,field:'ratingHockeySense','errors')}">
                                    <input type="text" id="ratingHockeySense" name="ratingHockeySense" value="${fieldValue(bean:scoutingReportInstance,field:'ratingHockeySense')}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="ratingIntensity">Rating Intensity:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:scoutingReportInstance,field:'ratingIntensity','errors')}">
                                    <input type="text" id="ratingIntensity" name="ratingIntensity" value="${fieldValue(bean:scoutingReportInstance,field:'ratingIntensity')}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="ratingOffensivePlay">Rating Offensive Play:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:scoutingReportInstance,field:'ratingOffensivePlay','errors')}">
                                    <input type="text" id="ratingOffensivePlay" name="ratingOffensivePlay" value="${fieldValue(bean:scoutingReportInstance,field:'ratingOffensivePlay')}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="ratingPhysicalPlay">Rating Physical Play:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:scoutingReportInstance,field:'ratingPhysicalPlay','errors')}">
                                    <input type="text" id="ratingPhysicalPlay" name="ratingPhysicalPlay" value="${fieldValue(bean:scoutingReportInstance,field:'ratingPhysicalPlay')}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="ratingPuckControl">Rating Puck Control:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:scoutingReportInstance,field:'ratingPuckControl','errors')}">
                                    <input type="text" id="ratingPuckControl" name="ratingPuckControl" value="${fieldValue(bean:scoutingReportInstance,field:'ratingPuckControl')}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="ratingSize">Rating Size:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:scoutingReportInstance,field:'ratingSize','errors')}">
                                    <input type="text" id="ratingSize" name="ratingSize" value="${fieldValue(bean:scoutingReportInstance,field:'ratingSize')}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="ratingSkating">Rating Skating:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:scoutingReportInstance,field:'ratingSkating','errors')}">
                                    <input type="text" id="ratingSkating" name="ratingSkating" value="${fieldValue(bean:scoutingReportInstance,field:'ratingSkating')}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="scout">Scout:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:scoutingReportInstance,field:'scout','errors')}">
                                    <g:select optionKey="id" from="${User.list()}" name="scout.id" value="${scoutingReportInstance?.scout?.id}" ></g:select>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="overallRating">Overall Rating:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:scoutingReportInstance,field:'overallRating','errors')}">
                                    
                                </td>
                            </tr> 
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><input class="save" type="submit" value="Create" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
