

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="layout" content="main" />
        <title>Edit Team</title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
            <span class="menuButton"><g:link class="list" action="list">Team List</g:link></span>
            <span class="menuButton"><g:link class="create" action="create">New Team</g:link></span>
        </div>
        <div class="body">
            <h1>Edit Team</h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${teamInstance}">
            <div class="errors">
                <g:renderErrors bean="${teamInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form method="post" >
                <input type="hidden" name="id" value="${teamInstance?.id}" />
                <input type="hidden" name="version" value="${teamInstance?.version}" />
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="playsInArena">Plays In Arena:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:teamInstance,field:'playsInArena','errors')}">
                                    <input type="text" id="playsInArena" name="playsInArena" value="${fieldValue(bean:teamInstance,field:'playsInArena')}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="homeGames">Home Games:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:teamInstance,field:'homeGames','errors')}">
                                    
<ul>
<g:each var="h" in="${teamInstance?.homeGames?}">
    <li><g:link controller="game" action="show" id="${h.id}">${h?.encodeAsHTML()}</g:link></li>
</g:each>
</ul>
<g:link controller="game" params="['team.id':teamInstance?.id]" action="create">Add Game</g:link>

                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="league">League:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:teamInstance,field:'league','errors')}">
                                    <g:select optionKey="id" from="${League.list()}" name="league.id" value="${teamInstance?.league?.id}" ></g:select>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="name">Name:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:teamInstance,field:'name','errors')}">
                                    <input type="text" id="name" name="name" value="${fieldValue(bean:teamInstance,field:'name')}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="players">Players:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:teamInstance,field:'players','errors')}">
                                    
<ul>
<g:each var="p" in="${teamInstance?.players?}">
    <li><g:link controller="player" action="show" id="${p.id}">${p?.encodeAsHTML()}</g:link></li>
</g:each>
</ul>
<g:link controller="player" params="['team.id':teamInstance?.id]" action="create">Add Player</g:link>

                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="playsIn">Plays In:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:teamInstance,field:'playsIn','errors')}">
                                    <input type="text" id="playsIn" name="playsIn" value="${fieldValue(bean:teamInstance,field:'playsIn')}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="users">Users:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:teamInstance,field:'users','errors')}">
                                    
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="visitorGames">Visitor Games:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:teamInstance,field:'visitorGames','errors')}">
                                    
<ul>
<g:each var="v" in="${teamInstance?.visitorGames?}">
    <li><g:link controller="game" action="show" id="${v.id}">${v?.encodeAsHTML()}</g:link></li>
</g:each>
</ul>
<g:link controller="game" params="['team.id':teamInstance?.id]" action="create">Add Game</g:link>

                                </td>
                            </tr> 
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" value="Update" /></span>
                    <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
