<head>
	<meta name="layout" content="main-extjs" />
	<title>League Administration</title>
	
	<ext:javascript dir="../../hockeystats" file="LeagueForm.js" />
	
	<script type="text/javascript">
		// Layout the new form
		if (Ext.type(contentPanelConfig)) {
			Ext.apply(contentPanelConfig, {
				items: [
					{
						xtype: 'hockeystats.form.LeagueForm'
				    }
				]
			});
		}
	</script>
</head>

<body>

<div id="league-form">
</div>

<noscript>
<a href="${createLink(controller: 'league', action:'list')}">Alternative site for League Administration</a>
<a href="${createLink(controller: 'team', action:'list')}">Alternative site for League's Team Administration</a>
		
<g:form id="league-form" method="post" controller="league" action="save">
	<div class="dialog">
         <table>
             <tbody>
             
                 <tr class="prop">
                     <td valign="top" class="name">
                         <label for="sinceDate">Since Date:</label>
                     </td>
                     <td valign="top" class="value ${hasErrors(bean:leagueInstance,field:'sinceDate','errors')}">
                         <g:datePicker name="sinceDate" value="${leagueInstance?.sinceDate}" noSelection="['':'']"></g:datePicker>
                     </td>
                 </tr> 
             
             	<tr class="prop">
                     <td valign="top" class="name">
                         <label for="name">Name:</label>
                     </td>
                     <td valign="top" class="value ${hasErrors(bean:leagueInstance,field:'name','errors')}">
                         <input type="text" id="name" name="name" value="${fieldValue(bean:leagueInstance,field:'name')}"/>
                     </td>
                 </tr> 
                 
                 <tr class="prop">
                     <td valign="top" class="name">
                         <label for="description">Description:</label>
                     </td>
                     <td valign="top" class="value ${hasErrors(bean:leagueInstance,field:'description','errors')}">
                         <input type="text" id="description" name="description" value="${fieldValue(bean:leagueInstance,field:'description')}"/>
                     </td>
                 </tr> 
             </tbody>
         </table>
     </div>
     <div class="buttons">
         <span class="button"><input class="save" type="submit" value="Create" /></span>
     </div>
</g:form>
</noscript>
</body>

