<html>
<head>
	<meta name="layout" content="main-yui" />
	<title>League Administration</title>
	
	<yui:javascript dir="../../hockeystats" file="LeagueForm.js" />
	
	
	<!-- GrailsUI Resources -->
    <gui:resources components="expandablePanel, datePicker"/>
       
	<%-- Configure the nested layout for the content layout --%>
	<script type="text/javascript">
		var contentUnits = [ 
            { position: 'center', body: 'league-admin-doc'}
        ];
	</script>
</head>

<body>

<div id="league-admin-doc">
	
	<!-- Using the Grails UI Tag Markup to create a panel to house the form -->
	<!--
		 This is a bit different flavour than Ext JS where I dynamically build the Dynamic Form Component
		 with Ext's extensible Javascript Component Model
	-->
	<div style="width: 450px;margin: 10px 10px 10px 10px;">
	<gui:expandablePanel title="League Information" expanded="true">
		<form id="league-form" method="get" action="#">
		
			<!-- Add the Split Button for the Leagues populate with JSON -->
			<div id="league-droplist"></div>
			<!-- See the CSS to see how this is styled -->
			<fieldset>
				<legend>League Info</legend>
				<table>
					<tbody>
						<tr>
							<td>Name:</td>
							<td><input id="league-name" type="text" name="name" value="" size="300"/></td>
						</tr>
						<tr>
							<td>Description:</td>
							<td><input id="league-description" type="text" name="description" value="" size="300"/></td>
						</tr>
						<tr>
							<td>Since:</td>
							<td><gui:datePicker id="sinceDate" navigator="true" /></td>
						</tr>
					</tbody>
				</table>
			</fieldset>
			
			<input type="hidden" id="league-id" name="id" value="" />
			
			<div id="buttons">
				<button type="submit" id="league-submit">Submit</button>
			</div>
		</form>
	</gui:expandablePanel>
	</div>
	
	
	<noscript>
	<g:form id="league-for-no-script" method="post" controller="league" action="save">
		<div class="dialog">
	         <table>
	             <tbody>
	             
	                 <tr class="prop">
	                     <td valign="top" class="name">
	                         <label for="sinceDate">Since Date:</label>
	                     </td>
	                     <td valign="top" class="value ${hasErrors(bean:leagueInstance,field:'sinceDate','errors')}">
	                         <g:datePicker name="sinceDate" value="${leagueInstance?.sinceDate}" noSelection="['':'']"></g:datePicker>
	                     </td>
	                 </tr> 
	             
	             	<tr class="prop">
	                     <td valign="top" class="name">
	                         <label for="name">Name:</label>
	                     </td>
	                     <td valign="top" class="value ${hasErrors(bean:leagueInstance,field:'name','errors')}">
	                         <input type="text" id="name" name="name" value="${fieldValue(bean:leagueInstance,field:'name')}"/>
	                     </td>
	                 </tr> 
	                 
	                 <tr class="prop">
	                     <td valign="top" class="name">
	                         <label for="description">Description:</label>
	                     </td>
	                     <td valign="top" class="value ${hasErrors(bean:leagueInstance,field:'description','errors')}">
	                         <input type="text" id="description" name="description" value="${fieldValue(bean:leagueInstance,field:'description')}"/>
	                     </td>
	                 </tr> 
	             </tbody>
	         </table>
	     </div>
	     <div class="buttons">
	         <span class="button"><input class="save" type="submit" value="Create" /></span>
	     </div>
	</g:form>
	</noscript>
</div>

<script type="text/javascript">
	YAHOO.util.Event.onDOMReady(function() {
		YAHOO.hockeystats.form.LeagueForm.initForm();
	});
</script>
</body>
</html>
