Ant.property(environment:"env")
grailsHome = Ant.antProject.properties."env.GRAILS_HOME"

includeTargets << new File ( "${grailsHome}/scripts/Init.groovy" )  
checkVersion()
configureProxy()

extVersion = "2.2.1"

Ant.sequential {
    mkdir(dir:"${grailsHome}/downloads/ext-${extVersion}")

    event("StatusUpdate", ["Downloading Ext JS ${extVersion}"])

    get(dest:"${grailsHome}/downloads/ext-${extVersion}.zip",
        src:"http://extjs.com/products/extjs/download.php?dl=extjs221",
        verbose:true,
        usetimestamp:true)
    unzip(dest:"${grailsHome}/downloads/ext-${extVersion}",
        src:"${grailsHome}/downloads/ext-${extVersion}.zip")	
	
    mkdir(dir:"${basedir}/web-app/js/ext/${extVersion}")
    copy(todir:"${basedir}/web-app/js/ext/${extVersion}") {
        fileset(dir:"${grailsHome}/downloads/ext-${extVersion}", includes:"*.js, adapter/**, air/**, build/**, resources/**")
    }		 
}            
event("StatusFinal", ["Ext JS ${extVersion} installed successfully"])
