import org.codehaus.groovy.grails.plugins.web.taglib.JavascriptTagLib
import org.codehaus.groovy.grails.plugins.ext.Ext
import org.codehaus.groovy.grails.web.util.WebUtils
import org.springframework.web.context.request.RequestContextHolder

class ExtJavascriptTagTests extends grails.test.GroovyPagesTestCase {

    void testExtJavascript() {
        def taglib = new JavascriptTagLib()
        def result = taglib.javascript(library: 'ext')
        assertEquals("<script type=\"text/javascript\" src=\"/myapp/js/ext/${Ext.version}/adapter/ext/ext-base.js\"></script>\n" +
                "<script type=\"text/javascript\" src=\"/myapp/js/ext/${Ext.version}/ext-core.js\"></script>\n", fixEOLs(result))
    }

    void setUp() {
        RequestContextHolder.currentRequestAttributes().currentRequest."${WebUtils.INCLUDE_CONTEXT_PATH_ATTRIBUTE}" = '/myapp'        
    }
}
