class Player {

    static belongsTo = [Team]
    static hasMany = [gameStats:PlayerStats, newsItems:PlayerNews, scoutingReports:ScoutingReport]
    
    static constraints = {
        heightFeet (nullable:true)
        heightInches (nullable:true)
        weightInPounds (nullable:true)
    }
    
    String firstName
    String lastName
    Integer number
    
    Integer heightFeet
    Integer heightInches
    Integer weightInPounds
    
    Team team    
}
