

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="layout" content="main" />
        <title>Edit League</title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
            <span class="menuButton"><g:link class="list" action="list">League List</g:link></span>
            <span class="menuButton"><g:link class="create" action="create">New League</g:link></span>
        </div>
        <div class="body">
            <h1>Edit League</h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${leagueInstance}">
            <div class="errors">
                <g:renderErrors bean="${leagueInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form method="post" >
                <input type="hidden" name="id" value="${leagueInstance?.id}" />
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="sinceDate">Since Date:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:leagueInstance,field:'sinceDate','errors')}">
                                    <g:datePicker name="sinceDate" value="${leagueInstance?.sinceDate}" noSelection="['':'']"></g:datePicker>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="description">Description:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:leagueInstance,field:'description','errors')}">
                                    <input type="text" id="description" name="description" value="${fieldValue(bean:leagueInstance,field:'description')}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="name">Name:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:leagueInstance,field:'name','errors')}">
                                    <input type="text" id="name" name="name" value="${fieldValue(bean:leagueInstance,field:'name')}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="seasons">Seasons:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:leagueInstance,field:'seasons','errors')}">
                                    
<ul>
<g:each var="s" in="${leagueInstance?.seasons?}">
    <li><g:link controller="season" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
</g:each>
</ul>
<g:link controller="season" params="['league.id':leagueInstance?.id]" action="create">Add Season</g:link>

                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="teams">Teams:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:leagueInstance,field:'teams','errors')}">
                                    
<ul>
<g:each var="t" in="${leagueInstance?.teams?}">
    <li><g:link controller="team" action="show" id="${t.id}">${t?.encodeAsHTML()}</g:link></li>
</g:each>
</ul>
<g:link controller="team" params="['league.id':leagueInstance?.id]" action="create">Add Team</g:link>

                                </td>
                            </tr> 
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" value="Update" /></span>
                    <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
