class ScoutingReportTests extends GroovyTestCase {

    void testNewScoutingReport() {
        User user = new User(username: 'tlomenda', password: 'password', email:'xx@xx.com', passwd: 'password', userRealName: 'El Chapo')
        League nhl = TestDataCreator.createNHL()
        Team mnWild = TestDataCreator.createTeamMnWild()
        Player gaborik = TestDataCreator.createMarianGaborik()
        
        user.save(flush:true)
        if (user.errors) {
            user.errors.each {println it}
        }
        
        nhl.addToTeams(mnWild)
        nhl.save(flush:true)
        
        // Save the player with stats
        gaborik.team = mnWild
        gaborik.save(flush:true)
        
        // Create a new report
        ScoutingReport report = TestDataCreator.createScoutingReport(user, gaborik)
        
        report.save(flush:true)

        assertEquals 1, ScoutingReport.list().size()
    }
}
