class TeamControllerTests extends GroovyTestCase {

    void testTeamListJSON() {
        def teamController = new TeamController();
        def nhl = TestDataCreator.createNHL()
        
        Team newTeam = TestDataCreator.createTeamMnWild()
        
        nhl.addToTeams(newTeam)
        nhl.save(flush:true)
        
        teamController.showREST();
        
        println(teamController.response.contentAsString)
    }
    
    void testTeamJSON() {
        def teamController = new TeamController();
        def nhl = TestDataCreator.createNHL()
        
        Team newTeam = TestDataCreator.createTeamMnWild()
        
        nhl.addToTeams(newTeam)
        nhl.save(flush:true)
        
        teamController.params.id = newTeam.id
        teamController.showREST();
        
        println(teamController.response.contentAsString)
    }
}
