<html>
	<head>
		<meta name="layout" content="main-extjs" />
		<title>Hockey Stats Manager - Player Management</title>
		
		<script type="text/javascript" charset="utf-8">

			// Configure the nested layout
			if (Ext.type(contentPanelConfig)) {
				Ext.apply(contentPanelConfig, {
					layout: 'border',
					items: [
						{
							region: 'west',
							xtype: 'panel',
							id:  'extTeamListPanel',
							contentEl: 'teamListPanel',
							title: 'Team List',
							split: true,
							collapsible: true,
							collapseMode: 'mini',
							width: 250,
							maxSize: 300,
							minSize: 100,
							items: [
						        // Add the Team List Panel
						        // Step 4 {xtype: 'hockeystats.panel.TeamListPanel', renderTo: 'teamListTree'}
							]
					    },
					    {
						    region: 'center',
						    xtype: 'panel',
						    contentEl: 'playerMgmtPanel',
						    items: [
						        // Step 5{xtype: 'hockeystats.panel.PlayerInfoPanel', renderTo: 'playerInfoPanel'}
							]
					    }
					],
				// Step 6: data grids	
				//	listeners: {
				//		render:	{
				//			fn: function(contentPanel) {
								// The reporting info panel needs to listen to the Tree panel selection to update its state.
								// Do this through an adapter.
				//				hockeystats.events.PlayerInfoAdapter.registerLoadPlayerListener(contentPanel);
				//			},
				//			single: true
				//		}
				//	},

				    // Let us add some custom functions as accessors (used to register listeners after this component is rendered 
				    getTeamListPanel: function() {
						// Get the tree panel from the content panel.
						var westPanel = this.items.get(0);					
						return westPanel.items.get(0); // Based on the layout, this is the panel we want
					},

					getPlayerInfoPanel: function() {
						// Get the tree panel from the content panel.
						var centerPanel = this.items.get(1);					
						return centerPanel.items.get(0); // Based on the layout, this is the panel we want
					}
				});
			}
		</script>
		
	</head>
	
	<!-- This will be all Ext JS baby -->
	<body>
		<noscript>
		<a href="${createLink(controller: 'player', action:'list')}">Alternative site for Player Management</a>
		</noscript>
		<div id="teamListPanel">
			<!--  Team List -->
			<div id="teamListTree">
				Team List
			</div>
		</div>
		
		<div id="playerMgmtPanel">
			<!--  Player Profile, Stats & News -->
			<div id="playerInfoPanel">
				Player Profile, Stats & News
			</div>
		</div>
	</body>
</html>