YAHOO.namespace("hockeystats.menu");

YAHOO.hockeystats.menu.Menubar = function(element, config){
    var menubarElement = element;
    var menubarConfig = config;
    
    if (YAHOO.lang.isUndefined(menubarElement)) {
        menubarElement = "hockeystatsmenubar";
    }
	
	if (YAHOO.lang.isUndefined(menubarConfig)) {
        menubarConfig = 
        {
            context: ['header-menu', 'tl', 'tl']
            // width: YAHOO.util.Dom.get('header-menu').offsetWidth - 10
        }
    }
    
    menubarItems = [
    {
        text: 'Home',
        onclick: 
        {
            fn: function(){
                window.location.replace(HockeyStats.BASE_URL);
            }
        }
    }, 
    {
        text: 'Hockey Stats',
        submenu: 
        {
            id: 'hockeystatsmenu',
            itemdata: [
            {
                text: 'League Administrator',
                disabled: !HockeyStats.Roles.leagueAdmin,
                onclick: 
                {
                    fn: function(){
                        window.location.replace(HockeyStats.LEAGUE_ADMIN_URL);
                    }
                }
            }, 
            {
                text: 'Player Management',
                disabled: !HockeyStats.Roles.playerAdmin,
                onclick: 
                {
                    fn: function(){
                        window.location.replace(HockeyStats.PLAYER_MGMT_URL);
                    }
                }
            }, 
            {
                text: 'Scouting Reports',
                disabled: !HockeyStats.Roles.playerScout,
                onclick: 
                {
                    fn: function(){
                        window.location.replace(HockeyStats.SCOUTING_URL);
                    }
                }
            }]
        }
    }, 
    {
        text: 'Help',
        submenu: 
        {
            id: 'helpmenu',
            itemdata: [
            {
                text: 'About',
				id: 'help-about'
			  // This is not required if we use the GrailsUI dialog tag and just use this element's id as the click trigger.
              //  onclick: 
              //  {
              //      fn: function(){
              //          alert("Hockey Stats 0.1.  This is a Demo for Javascript on Grails!!");
              //      }
              //  }
            }]
        }
    }];    
    
	YAHOO.util.Dom.get('header-menu').innerHTML = '';
    
	YAHOO.hockeystats.menu.Menubar.superclass.constructor.call(this, menubarElement, menubarConfig);
	this.addItems(menubarItems);
}

YAHOO.lang.extend(YAHOO.hockeystats.menu.Menubar, YAHOO.widget.MenuBar);
